Bug 729882 - [Eaglelake] After upgrade from FC11(where 1680x1050 worked) to FC15 display is 1600x1200 and cannot change
[Eaglelake] After upgrade from FC11(where 1680x1050 worked) to FC15 display i...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
15
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
[cat:modesetting]
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-11 02:54 EDT by Peter Hall
Modified: 2012-08-07 15:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.41.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:45:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg Log (24.42 KB, text/plain)
2011-08-11 02:54 EDT, Peter Hall
no flags Details
dmesg (99.28 KB, text/plain)
2011-08-11 23:46 EDT, Peter Hall
no flags Details
xorg log file (25.06 KB, text/plain)
2011-08-11 23:47 EDT, Peter Hall
no flags Details
system message file (2.98 MB, text/plain)
2011-08-11 23:48 EDT, Peter Hall
no flags Details
Xorg log (25.07 KB, text/x-log)
2011-10-18 01:09 EDT, Peter Hall
no flags Details
dmesg (118.43 KB, application/octet-stream)
2011-10-18 01:09 EDT, Peter Hall
no flags Details
message file (458.12 KB, application/octet-stream)
2011-10-18 01:10 EDT, Peter Hall
no flags Details
Xorg log (23.65 KB, text/x-log)
2011-10-27 01:47 EDT, Peter Hall
no flags Details
dmesg (122.25 KB, application/octet-stream)
2011-10-27 01:47 EDT, Peter Hall
no flags Details
message file (548.70 KB, application/octet-stream)
2011-10-27 01:47 EDT, Peter Hall
no flags Details
message file (761.69 KB, application/octet-stream)
2011-10-28 01:33 EDT, Peter Hall
no flags Details
dmesg (118.77 KB, application/octet-stream)
2011-10-28 01:34 EDT, Peter Hall
no flags Details
Xorg log (23.65 KB, text/x-log)
2011-10-28 01:34 EDT, Peter Hall
no flags Details
Xorg log (25.22 KB, text/x-log)
2011-11-02 04:08 EDT, Peter Hall
no flags Details
dmesg (66.40 KB, application/octet-stream)
2011-11-02 04:09 EDT, Peter Hall
no flags Details
message file (183.40 KB, application/octet-stream)
2011-11-02 04:09 EDT, Peter Hall
no flags Details
xorg log (23.64 KB, text/x-log)
2011-11-16 01:34 EST, Peter Hall
no flags Details
dmesg (122.56 KB, application/octet-stream)
2011-11-16 01:35 EST, Peter Hall
no flags Details
message file (197.22 KB, application/octet-stream)
2011-11-16 01:35 EST, Peter Hall
no flags Details

  None (edit)
Description Peter Hall 2011-08-11 02:54:11 EDT
Created attachment 517743 [details]
Xorg Log

Description of problem:
Under FC11 the display was 1680x1050. After the install of FC15 I cannot get the display size correct. The server keeps selecting 1600x1200.
I have tried creating a custom xorg.conf and using different modelines but the error from the log is...

Not using mode "1680x1050" (exceeds panel dimensions)

...if I try using different HorizSync and VertRefresh then the error changes to...

Not using mode "1680x1050" (vrefresh out of range)

...and I have tried different combinations.   


Version-Release number of selected component (if applicable):

xorg-x11-drv-intel-2.15.0-5.fc15.x86_64

Linux wintermute 2.6.40-4.fc15.x86_64 #1 SMP Fri Jul 29 18:46:53 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

  
Actual results:
Display is set to 1600x1200

Expected results:
Display should be 1680x1050

Additional info:
I am using a "Sony Desktop VGC-JS410F"

Current xorg.conf:

Section "Device"
  Identifier "intel"
  Driver "intel"
  Option "Monitor-LVDS1" "LVDS1"
  #Option "Monitor-VGA1"  "VGA1"
EndSection
 
Section "Monitor"
  Identifier "LVDS1"
  #HorizSync   31.5-50.0
  #VertRefresh 40-90
  #HorizSync   50.0-80.0
  #VertRefresh 30-71
  Option      "DPMS"
  Option      "PreferredMode" "1680x1050"
  DisplaySize  444 277
  #ModeLine    "1680x1050" 119.00 1680 1728 1760 1840   1050 1053 1059 1080 -hsync -vsync
  ModeLine     "1680x1050" 162.00 1680 1728 1760 1840   1050 1052 1058 1080 -hsync -vsync    
EndSection

Section "Monitor"
  Identifier "VGA1"
  #HorizSync   50.0 - 80.0
  #VertRefresh 55.0 - 75.0
  #ModeLine   "1680x1050"   119.00 1680 1728 1760 1840   1050 1053 1059 1080
  ModeLine    "1680x1050"   162.00 1680 1728 1760 1780   1050 1052 1058 1080 -hsync -vsync    
  #Modeline   "1680x1050"   146.25 1680 1784 1960 2240   1050 1053 1059 1089 -hsync -vsync
  #Option     "Disable" "True"
EndSection
 
Section "Screen"
  Identifier "Screen0"
  #Monitor "VGA1"
  Monitor "LVDS1"
  Device "intel"
  DefaultDepth 24
 SubSection "Display"
   Depth 24
   Modes "1680x1050"
   EndSubSection
EndSection
Comment 1 Peter Hall 2011-08-11 03:03:31 EDT
Please note that this is a desktop system with only one display (built in). However, in the logs it states that there is a VGA and LVDS...

Screen 0: minimum 320 x 200, current 1680 x 1200, maximum 8192 x 8192
VGA1 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1680x1050      84.3*+
   1024x768       60.0  
   800x600        60.3     56.2  
   848x480        60.0  
   640x480        59.9  
LVDS1 connected 1600x1200+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1600x1200      60.0*+
   1400x1050      60.0  
   1280x1024      60.0  
   1280x960       60.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  

...seems the LVDS is always the master.
Comment 2 Matěj Cepl 2011-08-11 11:33:07 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, move /etc/X11/xorg.conf somewhere where X won't find it, restart computer, and attach

* X server log file (/var/log/Xorg.*.log*),
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Peter Hall 2011-08-11 23:46:45 EDT
Created attachment 517944 [details]
dmesg
Comment 4 Peter Hall 2011-08-11 23:47:27 EDT
Created attachment 517945 [details]
xorg log file
Comment 5 Peter Hall 2011-08-11 23:48:43 EDT
Created attachment 517946 [details]
system message file
Comment 6 Peter Hall 2011-08-11 23:50:42 EDT
I rebooted my system after updating grub.conf with your modification...

drm.debug=0x04

...please find attached the requested files and let me know if you need any more information.

Regards,
Peter.
Comment 7 Peter Hall 2011-09-02 01:24:11 EDT
Is there any update available or more information that is required ?
Comment 8 Peter Hall 2011-09-05 10:37:25 EDT
Infor provided
Comment 9 Adam Jackson 2011-10-11 14:40:13 EDT
This one is quite weird.

To start with, I'm confused by why you try so hard to configure a mode for this phantom LVDS device, instead of just disabling it.  You even show Option "Disable" "true" commented out in the VGA section...

Anway, dmesg thinks you have an SDVO LVDS device, and you probably do since otherwise nothing would be responding to the SDVO probe commands.  The kernel logic for that does look a little confused though, I'll look into it.
Comment 10 Peter Hall 2011-10-11 16:02:07 EDT
Adam,
With this Sony desktop there is only one display (its an all in one design) even though two displays are detected. If I disable the LVDS then I do not have any output, just a blank screen.
I was experimenting trying to get the correct display size and so tried several different options from the xorg.conf. Currently, I'm not using any xorg.conf file.

Really appreciate that you are investigating this issue. Please let me know if you need more information.

Peter.
Comment 11 Peter Hall 2011-10-11 16:39:14 EDT
Adam,
With this Sony desktop there is only one display (its an all in one design) even though two displays are detected. If I disable the LVDS then I do not have any output, just a blank screen.
I was experimenting trying to get the correct display size and so tried several different options from the xorg.conf. Currently, I'm not using any xorg.conf file.

Really appreciate that you are investigating this issue. Please let me know if you need more information.

Peter.
Comment 12 Adam Jackson 2011-10-13 11:48:06 EDT
Oh, I see why I was confused.  You _do_ have LVDS attached.  VGA's just a red herring.

This actually ends up being a kernel bug since that's where most of the output setup lives.  I've added a test patch for this to kernel-2.6.40.6-2.fc15; please try that once it's built (or build it yourself).
Comment 13 Fedora Update System 2011-10-17 17:54:01 EDT
kernel-2.6.40.7-0.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.7-0.fc15
Comment 14 Peter Hall 2011-10-18 01:09:05 EDT
Created attachment 528710 [details]
Xorg log
Comment 15 Peter Hall 2011-10-18 01:09:31 EDT
Created attachment 528712 [details]
dmesg
Comment 16 Peter Hall 2011-10-18 01:10:37 EDT
Created attachment 528713 [details]
message file
Comment 17 Peter Hall 2011-10-18 01:13:40 EDT
Adam,
Sorry to report that the 2.6.40.7-0 patch did not work. The behavior was the same IE the display, when not using a xorg.conf file was set to 1024x768 and not 1680x1050. when using a xorg.conf file I am able to set a usable 1600x1200.

Please let me know if you need more information.

Peter.


(In reply to comment #12)
> Oh, I see why I was confused.  You _do_ have LVDS attached.  VGA's just a red
> herring.
> 
> This actually ends up being a kernel bug since that's where most of the output
> setup lives.  I've added a test patch for this to kernel-2.6.40.6-2.fc15;
> please try that once it's built (or build it yourself).
Comment 18 Fedora Update System 2011-10-18 18:07:07 EDT
Package kernel-2.6.40.7-0.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.40.7-0.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14513
then log in and leave karma (feedback).
Comment 19 Adam Jackson 2011-10-19 10:01:56 EDT
Peter, can you attach the output of 'xrandr --props'?
Comment 20 Peter Hall 2011-10-19 20:43:16 EDT
[phall@wintermute ~]$ xrandr --props
Screen 0: minimum 320 x 200, current 1680 x 1200, maximum 8192 x 8192
VGA1 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1680x1050      84.3*+
   1024x768       60.0                                                                                                  
   800x600        60.3     56.2                                                                                         
   848x480        60.0                                                                                                  
   640x480        59.9                                                                                                  
LVDS1 connected 1600x1200+0+0 (normal left inverted right x axis y axis) 0mm x 0mm                                      
   1600x1200      60.0*+                                                                                                
   1400x1050      60.0                                                                                                  
   1280x1024      60.0                                                                                                  
   1280x960       60.0                                                                                                  
   1024x768       60.0                                                                                                  
   800x600        60.3     56.2                                                                                         
   640x480        59.9


(In reply to comment #19)
> Peter, can you attach the output of 'xrandr --props'?
Comment 21 Fedora Update System 2011-10-24 11:13:05 EDT
kernel-2.6.40.7-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.7-3.fc15
Comment 22 Adam Jackson 2011-10-24 11:18:53 EDT
That's... just unlikely.  You really should have EDID properties on those.  Maybe it's spelled "--properties" in F15?
Comment 23 Peter Hall 2011-10-24 16:49:14 EDT
(In reply to comment #22)
> That's... just unlikely.  You really should have EDID properties on those. 
> Maybe it's spelled "--properties" in F15?

Adam,
Is this more what you were looking for ?

[phall@wintermute ~]$ xrandr --query --verbose
Screen 0: minimum 320 x 200, current 1680 x 1200, maximum 8192 x 8192
VGA1 connected 1680x1050+0+0 (0x43) normal (normal left inverted right x axis y axis) 0mm x 0mm
        Identifier: 0x41
        Timestamp:  49389
        Subpixel:   unknown
        Gamma:      1.0:1.0:1.0
        Brightness: 1.0
        Clones:     LVDS1
        CRTC:       0
        CRTCs:      0 1
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter: 
  1680x1050 (0x43)  162.0MHz -HSync -VSync *current +preferred
        h: width  1680 start 1728 end 1760 total 1780 skew    0 clock   91.0KHz
        v: height 1050 start 1052 end 1058 total 1080           clock   84.3Hz
  1024x768 (0x44)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x45)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x46)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  848x480 (0x47)   33.8MHz +HSync +VSync
        h: width   848 start  864 end  976 total 1088 skew    0 clock   31.0KHz
        v: height  480 start  486 end  494 total  517           clock   60.0Hz
  640x480 (0x48)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  489 end  492 total  525           clock   59.9Hz
LVDS1 connected 1600x1200+0+0 (0x49) normal (normal left inverted right x axis y axis) 0mm x 0mm
        Identifier: 0x42
        Timestamp:  49389
        Subpixel:   horizontal rgb
        Gamma:      1.0:1.0:1.0
        Brightness: 1.0
        Clones:     VGA1
        CRTC:       1
        CRTCs:      0 1
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter: 
  1600x1200 (0x49)  162.0MHz -HSync -VSync *current +preferred
        h: width  1600 start 1664 end 1856 total 2160 skew    0 clock   75.0KHz
        v: height 1200 start 1201 end 1204 total 1250           clock   60.0Hz
  1400x1050 (0x4a)  122.0MHz +HSync +VSync
        h: width  1400 start 1488 end 1640 total 1880 skew    0 clock   64.9KHz
        v: height 1050 start 1052 end 1064 total 1082           clock   60.0Hz
  1280x1024 (0x4b)  108.0MHz +HSync +VSync
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock   64.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   60.0Hz
  1280x960 (0x4c)  108.0MHz +HSync +VSync
        h: width  1280 start 1376 end 1488 total 1800 skew    0 clock   60.0KHz
        v: height  960 start  961 end  964 total 1000           clock   60.0Hz
  1024x768 (0x44)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x45)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x46)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  640x480 (0x4d)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz
Comment 24 Peter Hall 2011-10-24 17:19:53 EDT
(In reply to comment #22)
> That's... just unlikely.  You really should have EDID properties on those. 
> Maybe it's spelled "--properties" in F15?

Adam,
I just performed a xrandr --prop on another system (laptop running FC15) and the EDID information was displayed. So, for some reason its not being displayed by my Sony desktop.
Comment 25 Fedora Update System 2011-10-26 23:59:18 EDT
Package kernel-2.6.40.7-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.40.7-3.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14978
then log in and leave karma (feedback).
Comment 26 Peter Hall 2011-10-27 01:47:05 EDT
Created attachment 530426 [details]
Xorg log
Comment 27 Peter Hall 2011-10-27 01:47:35 EDT
Created attachment 530427 [details]
dmesg
Comment 28 Peter Hall 2011-10-27 01:47:58 EDT
Created attachment 530428 [details]
message file
Comment 29 Peter Hall 2011-10-27 01:50:01 EDT
Adam,
I just tried kernel-2.6.40.7-3.fc15 and the same result...

[phall@wintermute Downloads]$ uname -a
Linux wintermute 2.6.40.7-3.fc15.x86_64 #1 SMP Mon Oct 24 13:51:56 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

...and here is the xrandr if that helps...


[phall@wintermute Downloads]$ xrandr --verbose --query
Screen 0: minimum 320 x 200, current 1680 x 1200, maximum 8192 x 8192
VGA1 connected 1680x1050+0+0 (0x43) normal (normal left inverted right x axis y axis) 0mm x 0mm
        Identifier: 0x41
        Timestamp:  51866
        Subpixel:   unknown
        Gamma:      1.0:1.0:1.0
        Brightness: 1.0
        Clones:     LVDS1
        CRTC:       0
        CRTCs:      0 1
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter: 
  1680x1050 (0x43)  162.0MHz -HSync -VSync *current +preferred
        h: width  1680 start 1728 end 1760 total 1780 skew    0 clock   91.0KHz
        v: height 1050 start 1052 end 1058 total 1080           clock   84.3Hz
  1024x768 (0x44)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x45)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x46)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  848x480 (0x47)   33.8MHz +HSync +VSync
        h: width   848 start  864 end  976 total 1088 skew    0 clock   31.0KHz
        v: height  480 start  486 end  494 total  517           clock   60.0Hz
  640x480 (0x48)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  489 end  492 total  525           clock   59.9Hz
LVDS1 connected 1600x1200+0+0 (0x49) normal (normal left inverted right x axis y axis) 0mm x 0mm
        Identifier: 0x42
        Timestamp:  51866
        Subpixel:   horizontal rgb
        Gamma:      1.0:1.0:1.0
        Brightness: 1.0
        Clones:     VGA1
        CRTC:       1
        CRTCs:      0 1
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter: 
  1600x1200 (0x49)  162.0MHz -HSync -VSync *current +preferred
        h: width  1600 start 1664 end 1856 total 2160 skew    0 clock   75.0KHz
        v: height 1200 start 1201 end 1204 total 1250           clock   60.0Hz
  1400x1050 (0x4a)  122.0MHz +HSync +VSync
        h: width  1400 start 1488 end 1640 total 1880 skew    0 clock   64.9KHz
        v: height 1050 start 1052 end 1064 total 1082           clock   60.0Hz
  1280x1024 (0x4b)  108.0MHz +HSync +VSync
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock   64.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   60.0Hz
  1280x960 (0x4c)  108.0MHz +HSync +VSync
        h: width  1280 start 1376 end 1488 total 1800 skew    0 clock   60.0KHz
        v: height  960 start  961 end  964 total 1000           clock   60.0Hz
  1024x768 (0x44)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x45)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x46)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  640x480 (0x4d)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz
Comment 30 Fedora Update System 2011-10-27 10:13:21 EDT
kernel-2.6.40.8-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.8-2.fc15
Comment 31 Peter Hall 2011-10-28 01:33:49 EDT
Created attachment 530613 [details]
message file
Comment 32 Peter Hall 2011-10-28 01:34:08 EDT
Created attachment 530614 [details]
dmesg
Comment 33 Peter Hall 2011-10-28 01:34:33 EDT
Created attachment 530615 [details]
Xorg log
Comment 34 Peter Hall 2011-10-28 01:36:29 EDT
Adam,
The latest kernel had the same result. I have attached the system files and here is the xrandr output...


[root@wintermute Downloads]# xrandr --verbose --query
Screen 0: minimum 320 x 200, current 1680 x 1200, maximum 8192 x 8192
VGA1 connected 1680x1050+0+0 (0x43) normal (normal left inverted right x axis y axis) 0mm x 0mm
        Identifier: 0x41
        Timestamp:  45844
        Subpixel:   unknown
        Gamma:      1.0:1.0:1.0
        Brightness: 1.0
        Clones:     LVDS1
        CRTC:       0
        CRTCs:      0 1
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter: 
  1680x1050 (0x43)  162.0MHz -HSync -VSync *current +preferred
        h: width  1680 start 1728 end 1760 total 1780 skew    0 clock   91.0KHz
        v: height 1050 start 1052 end 1058 total 1080           clock   84.3Hz
  1024x768 (0x44)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x45)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x46)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  848x480 (0x47)   33.8MHz +HSync +VSync
        h: width   848 start  864 end  976 total 1088 skew    0 clock   31.0KHz
        v: height  480 start  486 end  494 total  517           clock   60.0Hz
  640x480 (0x48)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  489 end  492 total  525           clock   59.9Hz
LVDS1 connected 1600x1200+0+0 (0x49) normal (normal left inverted right x axis y axis) 0mm x 0mm
        Identifier: 0x42
        Timestamp:  45844
        Subpixel:   horizontal rgb
        Gamma:      1.0:1.0:1.0
        Brightness: 1.0
        Clones:     VGA1
        CRTC:       1
        CRTCs:      0 1
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter: 
  1600x1200 (0x49)  162.0MHz -HSync -VSync *current +preferred
        h: width  1600 start 1664 end 1856 total 2160 skew    0 clock   75.0KHz
        v: height 1200 start 1201 end 1204 total 1250           clock   60.0Hz
  1400x1050 (0x4a)  122.0MHz +HSync +VSync
        h: width  1400 start 1488 end 1640 total 1880 skew    0 clock   64.9KHz
        v: height 1050 start 1052 end 1064 total 1082           clock   60.0Hz
  1280x1024 (0x4b)  108.0MHz +HSync +VSync
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock   64.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   60.0Hz
  1280x960 (0x4c)  108.0MHz +HSync +VSync
        h: width  1280 start 1376 end 1488 total 1800 skew    0 clock   60.0KHz
        v: height  960 start  961 end  964 total 1000           clock   60.0Hz
  1024x768 (0x44)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x45)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x46)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  640x480 (0x4d)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz
Comment 35 Fedora Update System 2011-11-01 15:59:23 EDT
kernel-2.6.40.8-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.8-4.fc15
Comment 36 Peter Hall 2011-11-02 04:08:46 EDT
Created attachment 531279 [details]
Xorg log
Comment 37 Peter Hall 2011-11-02 04:09:09 EDT
Created attachment 531280 [details]
dmesg
Comment 38 Peter Hall 2011-11-02 04:09:30 EDT
Created attachment 531282 [details]
message file
Comment 39 Peter Hall 2011-11-02 04:10:39 EDT
Adam,
I have installed the latest updated kernel but the screen problem remains...

[root@wintermute Downloads]# uname -a
Linux wintermute 2.6.40.8-4.fc15.x86_64 #1 SMP Tue Nov 1 18:17:12 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
[root@wintermute Downloads]#

Please let me know if you need more information?
Comment 40 Fedora Update System 2011-11-11 19:08:27 EST
kernel-2.6.41.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.1-1.fc15
Comment 41 Peter Hall 2011-11-16 01:34:47 EST
Created attachment 533906 [details]
xorg log
Comment 42 Peter Hall 2011-11-16 01:35:12 EST
Created attachment 533907 [details]
dmesg
Comment 43 Peter Hall 2011-11-16 01:35:40 EST
Created attachment 533908 [details]
message file
Comment 44 Peter Hall 2011-11-16 01:38:14 EST
Adam,
I tried the latest kernel and no joy. I have attached the usual files. Please let me know if you need more information.

[phall@wintermute Downloads]$ uname -a
Linux wintermute 2.6.41.1-1.fc15.x86_64 #1 SMP Fri Nov 11 21:36:28 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
[phall@wintermute Downloads]$


[phall@wintermute Downloads]$ xrandr --verbose
Screen 0: minimum 320 x 200, current 1680 x 1200, maximum 8192 x 8192
VGA1 connected 1680x1050+0+0 (0x43) normal (normal left inverted right x axis y axis) 0mm x 0mm
        Identifier: 0x41
        Timestamp:  47709
        Subpixel:   unknown
        Gamma:      1.0:1.0:1.0
        Brightness: 1.0
        Clones:     LVDS1
        CRTC:       0
        CRTCs:      0 1
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter: 
  1680x1050 (0x43)  162.0MHz -HSync -VSync *current +preferred
        h: width  1680 start 1728 end 1760 total 1780 skew    0 clock   91.0KHz
        v: height 1050 start 1052 end 1058 total 1080           clock   84.3Hz
  1024x768 (0x44)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x45)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x46)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  848x480 (0x47)   33.8MHz +HSync +VSync
        h: width   848 start  864 end  976 total 1088 skew    0 clock   31.0KHz
        v: height  480 start  486 end  494 total  517           clock   60.0Hz
  640x480 (0x48)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  489 end  492 total  525           clock   59.9Hz
LVDS1 connected 1600x1200+0+0 (0x49) normal (normal left inverted right x axis y axis) 0mm x 0mm
        Identifier: 0x42
        Timestamp:  47709
        Subpixel:   horizontal rgb
        Gamma:      1.0:1.0:1.0
        Brightness: 1.0
        Clones:     VGA1
        CRTC:       1
        CRTCs:      0 1
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter: 
  1600x1200 (0x49)  162.0MHz -HSync -VSync *current +preferred
        h: width  1600 start 1664 end 1856 total 2160 skew    0 clock   75.0KHz
        v: height 1200 start 1201 end 1204 total 1250           clock   60.0Hz
  1400x1050 (0x4a)  122.0MHz +HSync +VSync
        h: width  1400 start 1488 end 1640 total 1880 skew    0 clock   64.9KHz
        v: height 1050 start 1052 end 1064 total 1082           clock   60.0Hz
  1280x1024 (0x4b)  108.0MHz +HSync +VSync
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock   64.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   60.0Hz
  1280x960 (0x4c)  108.0MHz +HSync +VSync
        h: width  1280 start 1376 end 1488 total 1800 skew    0 clock   60.0KHz
        v: height  960 start  961 end  964 total 1000           clock   60.0Hz
  1024x768 (0x44)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x45)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x46)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  640x480 (0x4d)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz
Comment 45 Fedora Update System 2011-11-17 18:29:07 EST
kernel-2.6.41.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 46 Adam Jackson 2011-11-28 16:24:10 EST
Apologies for the inattention to this bug.

Do the displays work independently?  Try booting with 'video=VGA-1:d' or 'video=LVDS-1:d' on the kernel command line, which will force them to be treated as disconnected.
Comment 47 Peter Hall 2011-11-29 01:59:59 EST
Adam,
If I boot with 'video=VGA-1:d' the VGA is shown as being disabled but there is no difference to the display setting.

If I boot with 'video=LVDS-1:d' then I do not have a display. Just a black screen.

I tried hard coding the display size with 'video=LVDS-1:1480x1050@60' but this did not have any effect.

This is the desktop...

http://store.sony.com/webapp/wcs/stores/servlet/ProductDisplay?productId=8198552921666002207&storeId=10151

...its an all-in-one with only one display and no possibility of connecting an external display..

Thanks,
Peter.
Comment 48 Fedora End Of Life 2012-08-07 15:45:17 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.